# An Electrochemical simulator build in Python and C++

The package offers a simulator capable of simulating various electrochemical 
and chemical reaction mechanisms, a way to fit your mechanism parameters, as well as other 
data treating optinons.

![image](pics/layer1.png)

## Installation

To install run: 

`pip install electrokitty`

To update the package run:

`pip intall electrokitty --upgrade`

Note that during installation Pybind11 might ask you to download Microsoft build tools if on Windows.
Install those and the rest is taken care of.

## Getting started

To get started with ElectroKitty checkout the tutorials found in the tutorial folder.
There you will find 6 tutorials of which 5 cover the more basic utilities of ElectroKitty, while 
the 6th tutorial covers some more advanced ideas. 

The documentation for ElectroKitty can be found at: https://electrokitty.readthedocs.io/en/latest/.

## Getting in touch and contributing

This project welcomes any contribution, wheter it be code or a simple bug report.
Bug reports should be reported on GitHub or via email. 
If you wish to contribute code to the project do so via a pull request or email me.

Suggestions on how to further develop the project are welcome.

## Licence

ElectroKitty is published under the BSD 3 clause licence. 

